Package Details: bitcoin-classic-daemon 1.3.8-1

Git Clone URL: https://aur.archlinux.org/bitcoin-classic-daemon.git (read-only)
Package Base: bitcoin-classic-daemon
Description: Bitcoin Classic with bitcoind, bitcoin-tx, and bitcoin-cli
Upstream URL: https://bitcoinclassic.com/
Keywords: bitcoin bitcoin-classic crytpcurrency
Licenses: MIT
Conflicts: bitcoin-cli, bitcoin-daemon, bitcoin-tx
Provides: bitcoin-cli, bitcoin-daemon, bitcoin-tx
Submitter: TomZander
Maintainer: TomZander
Last Packager: TomZander
Votes: 3
Popularity: 0.190624
First Submitted: 2017-01-05 11:55
Last Updated: 2017-10-10 09:57

Required by (4)

Sources (3)

Latest Comments

TomZander commented on 2017-05-04 15:03

Thanks quest, this was due to the upgrade of arch to openssl 1.1 and the latest release of Classic still not supporting it.

I've validated your diff to work and updated the aur.

quest commented on 2017-05-04 06:10

Latest version doesn't build for me, applied these changes and it seems to be working. Figured I would share. =)

diff --git a/PKGBUILD b/PKGBUILD
index d95efba..c2da62b 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -7,7 +7,7 @@ pkgdesc='Bitcoin Classic with bitcoind, bitcoin-tx, and bitcoin-cli'
arch=('i686' 'x86_64')
url="https://bitcoinclassic.com/"
license=('MIT')
-depends=('boost-libs' 'libevent' 'openssl' 'miniupnpc' 'zeromq')
+depends=('boost-libs' 'libevent' 'openssl-1.0' 'miniupnpc' 'zeromq')
makedepends=('boost')
provides=('bitcoin-daemon' 'bitcoin-cli' 'bitcoin-tx')
conflicts=('bitcoin-daemon' 'bitcoin-cli' 'bitcoin-tx')
@@ -22,7 +22,9 @@ sha256sums=('900218eb2cd40c96a357a601e17fc6eacc91970f369761462de5a695c20701d5'

build() {
cd "bitcoinclassic-$pkgver"
-
+ export PKG_CONFIG_PATH=/usr/lib/openssl-1.0/pkgconfig
+ export CXXFLAGS+=" -I/usr/include/openssl-1.0"
+ export LDFLAGS+=" -L/usr/lib/openssl-1.0 -lssl"
./autogen.sh
./configure --prefix=/usr --with-incompatible-bdb --with-gui=no --enable-hardening \
--enable-reduce-exports --disable-gui-tests --disable-maintainer-mode